# Type alias Artifact

Artifact: {
networks?: {
[networkId: string]: {
db?: {
contractInstance: Resources.IdObject<"contractInstances">;
network: Resources.IdObject<"networks">;
};
};
};
}

#### Type declaration

- ##### `Optional` networks?: {
  [networkId: string]: {
  db?: {
  contractInstance: Resources.IdObject<"contractInstances">;
  network: Resources.IdObject<"networks">;
  };
  };
  }

  - ##### [networkId: string]: {
    db?: {
    contractInstance: Resources.IdObject<"contractInstances">;
    network: Resources.IdObject<"networks">;
    };
    }

    - ##### `Optional` db?: {
      contractInstance: Resources.IdObject<"contractInstances">;
      network: Resources.IdObject<"networks">;
      }

      - ##### contractInstance: Resources.IdObject<"contractInstances">

      - ##### network: Resources.IdObject<"networks">

- Defined in packages/db/src/project/loadMigrate/index.ts:19

Generated using TypeDoc